function requestUpdate(url, fieldName, targetName, targetFieldNames, elementPath) {

    // If no field names exist as targets for the update, do not attempt to
    // update them.

    if (targetFieldNames == "") {
        return;
    }

    // Note that XMLHttpRequest access may be denied if Mozilla believes that
    // this resource's URL and the supplied URL are different.

    var xmlhttp = new XMLHttpRequest();
    xmlhttp.open("POST", url, false);

    // Find the value of the controlling field.

    var fieldValue = document.getElementsByName(fieldName)[0].value;

    // Send the controlling field value.

    var requestBody = (fieldName + "=" + fieldValue);

    // Process each target field name.

    var targetFieldNameArray = targetFieldNames.split(",");

    // Add the values of the dependent fields.

    for (var i = 0; i < targetFieldNameArray.length; i++) {
        var targetFieldName = targetFieldNameArray[i];

        // Find the values of the target field.

        var targetFieldValue;
        var targetFieldNodes = document.getElementsByName(targetFieldName);
        for (var v = 0; v < targetFieldNodes.length; v++) {
            targetFieldValue = targetFieldNodes[v].value;
            requestBody += ("\r\n" + targetFieldName + "=" + targetFieldValue);
        }

        // NOTE: Konqueror hack: disable fields.

        disableFields(targetFieldName);
    }

    // Add the element path specification.

    requestBody += ("\r\nelement-path=" + elementPath);

    // Load the remote document with the given parameters sent as text in the request body.

    xmlhttp.send(requestBody);

    // Parse the result document.

    var newDocument = Sarissa.getDomDocument();
    newDocument = (new DOMParser()).parseFromString(xmlhttp.responseText, "text/xml");

    // Find the definition of the affected field in the result document.

    var newElement = newDocument.getElementById(targetName);
    var targetElement = document.getElementById(targetName);

    // Insert the new definition into the current document.

    if (newElement != null && targetElement != null) {
        var importedElement = document.importNode(newElement, true);
        targetElement.parentNode.replaceChild(importedElement, targetElement);
        //importedElement.setAttribute("style", "background-color:red;");
    }

    // NOTE: Test Konqueror bug.

    //showMismatch(targetFieldNameArray);
}

function disableFields(targetFieldName) {

    for (var i = 0; i < document.forms.length; i++) {
        var form = document.forms[i];
        for (var j = 0; j < form.elements.length; j++) {
            if (form.elements[j].name == targetFieldName) {
                form.elements[j].name = "";
            }
        }
    }
}

function showMismatch(targetFieldNameArray) {

    // Show how the number of field elements with a given name can be different
    // from the number known to the DOM Level 0 part of the API.

    for (var h = 0; h < targetFieldNameArray.length; h++) {
        var targetFieldName = targetFieldNameArray[h];
        var targetFieldNodes = document.getElementsByName(targetFieldName);
        alert("Nodes for " + targetFieldName + ": " + targetFieldNodes.length);

        var count = 0;
        for (var i = 0; i < document.forms.length; i++) {
            var form = document.forms[i];
            for (var j = 0; j < form.elements.length; j++) {
                if (form.elements[j].name == targetFieldName) {
                    count++;
                }
            }
        }
        alert("Fields for " + targetFieldName + ": " + count);
    }
}
